org.apache.cassandra.cql3

## Class Maps.Literal

- java.lang.Object
- - org.apache.cassandra.cql3.Maps.Literal

All Implemented Interfaces:
  AssignementTestable, Term.Raw

Enclosing class:
  Maps

    public static class Maps.Literal
    extends java.lang.Object
    implements Term.Raw

### Field Summary

Fields
`java.util.List<Pair<Term.Raw,Term.Raw>>` `entries`

### Constructor Summary

Constructors
Constructor and Description
`Maps.Literal(java.util.List<Pair<Term.Raw,Term.Raw>> entries)`

### Method Summary

Methods
`boolean` `isAssignableTo(ColumnSpecification receiver)`
`Term` `prepare(ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### entries

    public final java.util.List<Pair<Term.Raw,Term.Raw>> entries

### Constructor Detail

#### Maps.Literal

    public Maps.Literal(java.util.List<Pair<Term.Raw,Term.Raw>> entries)

### Method Detail

#### prepare

    public Term prepare(ColumnSpecification receiver)
                 throws InvalidRequestException

Description copied from interface: `Term.Raw`
This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

Specified by:
  `prepare` in interface `Term.Raw`
Parameters:
  `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
Returns:
  the prepared term.
Throws:
  `InvalidRequestException`

#### isAssignableTo

    public boolean isAssignableTo(ColumnSpecification receiver)

Specified by:
  `isAssignableTo` in interface `AssignementTestable`
Returns:
  whether this object can be assigned to the provided receiver

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`